### Function

# Camel util_is_network_error

since: 3.60.2

#### Declaration [src]

    gboolean
    camel_util_is_network_error (
      const GError* error
    )

#### Description [src]

Checks whether `error` represents a network or connection error (host unreachable, connection refused, DNS failure, timeout, etc.) as opposed to a protocol-level or application-level error.

Available since: 3.60.2

#### Parameters

`error`

  Type: `GError`

  A `GError`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `error` is a network/connection error, `FALSE` otherwise (including when `error` is `NULL`).